- Qt 5.15
- Qt Core
- C++ Classes
- QAtomicPointer
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QAtomicPointer

The following members of class QAtomicPointer are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` T * | load() const
`(obsolete)` void | store(T *newValue)

## Member Function Documentation

### T *QAtomicPointer::load() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use loadRelaxed() instead.

Atomically loads the value of this QAtomicPointer using relaxed memory ordering. The value is not modified in any way, but note that there's no guarantee that it remains so.

See also storeRelaxed() and loadAcquire().

### void QAtomicPointer::store(T *newValue)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use storeRelaxed() instead.

Atomically stores the newValue value into this atomic type, using relaxed memory ordering.

See also storeRelease() and loadRelaxed().